function nfp = calcnfp(PossibleCombs, DimX, Method)
n=size(PossibleCombs,1);
ord=size(PossibleCombs,2)-1;
nfp=[];

for i=1:n
    if lower(Method=='tuc')
        for j=1:ord
            ma(j)=PossibleCombs(i,j)*DimX(j);
        end
        
        fp=sum(ma)+prod(PossibleCombs(i,:));
        for j=1:ord
            fp=fp-PossibleCombs(i,j).^2;
        end
    elseif lower(Method=='par')
        fp=(sum(DimX)).*PossibleCombs(i,1)-2.*PossibleCombs(i,1);
end
    
    nfp(i)=fp;
    
end